AlmaLinux 2250 Published by

Updated PostgreSQL 15 packages are available for AlmaLinux:

ALSA-2023:7884 Important: postgresql:15 security update




ALSA-2023:7884 Important: postgresql:15 security update


ID:
ALSA-2023:7884

Title:
ALSA-2023:7884 Important: postgresql:15 security update

Type:
security

Severity:
important

Release date:
2023-12-25

Description
PostgreSQL is an advanced object-relational database management system (DBMS).
Security Fix(es):
* postgresql: Buffer overrun from integer overflow in array modification (CVE-2023-5869)
* postgresql: Memory disclosure in aggregate function calls (CVE-2023-5868)
* postgresql: extension script @substitutions@ within quoting allow SQL injection (CVE-2023-39417)
* postgresql: Role pg_signal_backend can signal certain superuser processes. (CVE-2023-5870)
* postgresql: MERGE fails to enforce UPDATE or SELECT row security policies (CVE-2023-39418)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2023-39417
CVE-2023-39418
CVE-2023-5868
CVE-2023-5869
CVE-2023-5870
RHSA-2023:7884
ALSA-2023:7884

Updated packages listed below:
Architecture
Package
Checksum
aarch64
postgresql-upgrade-devel-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
0f15a5a1336b84ce3289eba965cad728e1f1bd757b07074ef61c07f04daef487
aarch64
postgresql-private-libs-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
26c045ce03fe8762881e64e067b6adce216e6d68f37f58ae9d808a0fdae69410
aarch64
postgresql-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
286e0910fbba5097e5c5697b47aaa826bd68cda2191528fa3264cf17c8c7770a
aarch64
pg_repack-1.4.8-1.module_el8.8.0+3487+43ec1b9f.aarch64.rpm
42a169e52e8c48c9cf401217404221d5de0cb055b0d2ece111ae89699d633e87
aarch64
postgresql-test-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
4716ae77a5c5b009bf638dca9614294b5fc113df5f36dfbce09e6e79abbfc89e
aarch64
postgresql-private-devel-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
77a89427188cb7aad16c7e7d3ba74277e8171b3a48826e0ec9135825502ee6c5
aarch64
postgresql-pltcl-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
806e4d8d3d53b08990cea86a11990796faa15d683f3eb94d1de6df055998337e
aarch64
postgresql-docs-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
88ad93c62a45df320299be6e5529e89cec007e473e2aa161cabc3b309263c3af
aarch64
pgaudit-1.7.0-1.module_el8.8.0+3487+43ec1b9f.aarch64.rpm
8a48be7be3f15da33c5c53429d25d2c3b28c650c689b2e00588635b1c873c33f
aarch64
postgresql-upgrade-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
9d3a00248237d5bbdf3ea2ae8c90c1d3e5c042aea606535cf909fe115debce5e
aarch64
postgresql-plpython3-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
ae6e03447ba6927ac6199c5105a9222454439cea8bd9aa41acb5bcd40a000a98
aarch64
postgresql-server-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
ba75b5b7b2124ded7e6bbccd5faaf21765fe221c2e3ccb4d19c049462a0b7254
aarch64
postgresql-contrib-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
cac68c35e0e55b3cb8e2fc9ee83554551638972237fbcd370677d39a99617b21
aarch64
postgresql-server-devel-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
d7adbd2fe5179691df9cecc74c2a6862f788408d0e20c53aec46a0c3948381b6
aarch64
postgresql-static-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
e1bc61af5d11d3118f5c8e4e120e1c055cd284e8d1d907f67c74e0e7e46d612d
aarch64
postgresql-plperl-15.5-1.module_el8.9.0+3706+885c732e.aarch64.rpm
e5fa61fefc340e1bd74953f0305b503ccaefc671ab629d4e0f0678ca8506252a
aarch64
postgres-decoderbufs-1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.aarch64.rpm
f5816dfca96deff65f18150ec8ba362cd07c140c036ba6f8ab487aff417ab81c
noarch
postgresql-test-rpm-macros-15.5-1.module_el8.9.0+3706+885c732e.noarch.rpm
69bb827132438c2af2d064ce837e0fead74f65efa22ae79c034539f78be07b9a
ppc64le
postgresql-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
08943c3317e859a4f21242aa4b6b0ba7f6483af9bd26c9941edde0e5a40d8b25
ppc64le
postgresql-test-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
0fd96fee3a43eea8adc7ab37a90b21299da093688471b77d4fc14d8412513a6c
ppc64le
postgresql-private-devel-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
376c35de878a2486879a45a60b421374912dce2707ee066fc0d6a16ddfcc71dc
ppc64le
postgres-decoderbufs-1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.ppc64le.rpm
4a1b27750f58b494db860f035d2f6ede94a760b74b9e0ca4d532a10bd255051e
ppc64le
postgresql-plperl-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
559a7ebb177d8514bd52d5b1d597f16e8cfa08877542808bfc2706a4b35612fd
ppc64le
postgresql-pltcl-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
81123332cbfd63d2f82d8c70f91ad2af4eb087d203611a1c00bda1335da967a5
ppc64le
postgresql-static-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
83ab439a4989c751a6813b5220f12215ed61fe1f66471e21df89bf279a5f2968
ppc64le
postgresql-private-libs-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
85284041caf39a57bdfdbe2bcb37a59fce0aa25b4ec330108c28e8ba75d11f7e
ppc64le
postgresql-upgrade-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
9a644aebba3f807b90ba3f163f33eeaf556653c42c35dcf2e319ea3cb2ac35f9
ppc64le
postgresql-plpython3-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
ce0c5b599efc3d483a7c47c0ccee2301d473d615f240b36cee84cbc7179dc2ff
ppc64le
postgresql-server-devel-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
d10798add8c4a007940e1fc804139dcb80aa556d9ec0cc652a11b885028ee4c2
ppc64le
pgaudit-1.7.0-1.module_el8.8.0+3487+43ec1b9f.ppc64le.rpm
d8d441a267265f31ec2160fe553ab56e9e5a1a9950621536ee5c4f2e806284d9
ppc64le
postgresql-server-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
d93907f03a9a8ae72ed30128c1ae04f43ccf2548b6c08fb6d848bf734ba082b0
ppc64le
pg_repack-1.4.8-1.module_el8.8.0+3487+43ec1b9f.ppc64le.rpm
dbbd024d67dbe123db691f773541db90b4137bd6ef0915d63b501d6a842b916a
ppc64le
postgresql-contrib-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
f01ebddcd67888a0f0d52a8948e12b4dd775e8f7b98622b1f141039adc034e26
ppc64le
postgresql-docs-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
f99f70aee727cb65526f24608918fc552ba82ec7760c0ac0bba57600bdf04864
ppc64le
postgresql-upgrade-devel-15.5-1.module_el8.9.0+3706+885c732e.ppc64le.rpm
faaded535d64b04aaa5a8309abd6a8fa4e2a98e53c93a0de4383d66db37a1ac7
s390x
postgresql-private-devel-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
03e04318155fc3a9bcde155f58667ba679872fafa4d6ac890261f1066e413e76
s390x
postgres-decoderbufs-1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.s390x.rpm
055fe6bbecc74f7919f9ec57e1e42bb9eb94476114d930ec210f1efc3108b92d
s390x
pg_repack-1.4.8-1.module_el8.8.0+3487+43ec1b9f.s390x.rpm
081ea0091971a8aa105bd973398a6bd2618e4c4774ddba96fcc6732fea454d53
s390x
postgresql-contrib-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
0a2b45ddad9d4ac49baf2421dbb03d453d25ba370b0fb25fda384a5398ac2eaa
s390x
postgresql-docs-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
0b1eba3709a47d752dd0380c7f6bb5d8dbeb9117b82b064810a26fad2365fc0f
s390x
pgaudit-1.7.0-1.module_el8.8.0+3487+43ec1b9f.s390x.rpm
12cd22b7d2193b09d54d32baa05dd1b7085110c0332c6a91154d9bebffb96c95
s390x
postgresql-upgrade-devel-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
27aad33afa33c72229c2677494421bf7a04fdf25965c57644b04c316cdd2ea77
s390x
postgresql-plpython3-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
61a3bc5243a06aa1b730c118ee11ba677738264dc31163e2f9b6aeeac07802a0
s390x
postgresql-server-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
6430980e5255909edd64389867518477472c419590fe5c2887a7c299ddbf9428
s390x
postgresql-static-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
64d396845d38c8f756f1b65699514c97ad42526249693f1216fa26227382cf36
s390x
postgresql-plperl-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
7c7a653faee2e7f8e9bdacdfc1c6447266f221bb4d2604633edbc474711e45c8
s390x
postgresql-upgrade-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
82a4bc6ac3c163bb22054ec200b3f5fcd97eeb5c4fbc8f924e36fbf3c2c35a79
s390x
postgresql-test-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
83a5286a4da83e51ea6234b2f15e179f6737d6a6b467f51abfe20445861d397d
s390x
postgresql-pltcl-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
b89fcb16310eaea2b141f0b79c88345e0252af5872bad54e654b02cf1cae4393
s390x
postgresql-server-devel-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
c29946004be895aee05a972c23e94cd5d047d456179906ef7f307f4a192737ea
s390x
postgresql-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
d70fe448c11cedf8118396463968f10f2dcd328e4f222b31dda5d889848b72fa
s390x
postgresql-private-libs-15.5-1.module_el8.9.0+3706+885c732e.s390x.rpm
e4262f06a2213bd746f380b1db3a3287bbc94e607ff02f7fd261a4dd5fb45236
x86_64
postgresql-pltcl-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
1caba4aecef8fe0b3eb8c68e3445edfb0759ff662765ee5a4acd9600c8139730
x86_64
pgaudit-1.7.0-1.module_el8.8.0+3487+43ec1b9f.x86_64.rpm
2a8bf9007d892f6c0024b06295e1469bad8629ae391a8a2b0713a6593aad94c5
x86_64
postgresql-upgrade-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
3034185fe899e33c4bd95c4ba7d852e4bd078cc496f9603179e4d837b45ce0d6
x86_64
postgresql-plperl-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
373e873fb9dde3433386f8c8c5383613139039b7654801003ae599c0675fec86
x86_64
postgresql-server-devel-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
3840283eb0e593d7ba756b6bdefdad02cd152dae1aad091cf1ee335d57ea796f
x86_64
postgresql-test-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
38e3b1724773e1359916ad259208f058071f3a62ff4ee3b17eb40c3c045fde72
x86_64
postgresql-upgrade-devel-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
6854272858fe207784a6688f905ed50476c7d249fa68bc73bf9b9ef755f42d1e
x86_64
postgresql-contrib-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
76242af1d9f04917ce4142c3edb986de645310c6a78980f4fdac8a032df84cdf
x86_64
postgresql-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
7f4389226d969fb01b2941cf2816540b987f6b994fe598ed7480fcc0b80cc623
x86_64
postgresql-private-libs-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
8c9d1ca68cb0a6343a6008f48b5316feab5352072a44fb8f2a6333c97c204254
x86_64
postgresql-docs-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
993ade537aeb1de2a1fcc2abe19e13428291ad5ada70a91da45193bb43a675f2
x86_64
postgres-decoderbufs-1.9.7-1.Final.module_el8.8.0+3487+43ec1b9f.x86_64.rpm
a8e6d221a10b0dd2cd7b7100611c6c85f91fbf69561f546781bedb5c6c0d376f
x86_64
postgresql-server-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
b1521d87ff90275328a48295f3d4db7d7a04499b0f7046da4568420147d3b430
x86_64
pg_repack-1.4.8-1.module_el8.8.0+3487+43ec1b9f.x86_64.rpm
b472091f3329e57ee2d5d4a040e22ed83913e5c8ce53ea38c44c4aaf056736b9
x86_64
postgresql-static-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
bb0ae84d449f905ff6fbfedc4500cd95a4380bc6b73cb015b108b6e2d2bf53e1
x86_64
postgresql-plpython3-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
cb8957fe936384e4e267652cb2cb5aa23eaf658dd0b9386b0ddc7e7fb2e0ccab
x86_64
postgresql-private-devel-15.5-1.module_el8.9.0+3706+885c732e.x86_64.rpm
f35e411fdba564114f01ed72a2163df3859190fde8d06263786fbaaa4a8bc4bb

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:7884 Important: postgresql:15 security update